## org.eclipse.jst.jsf.common.sets.constraint
Class AbstractMemberConstraint

    java.lang.Object
      org.eclipse.jst.jsf.common.sets.constraint.AbstractSetConstraint
          org.eclipse.jst.jsf.common.sets.constraint.AbstractMemberConstraint

    public class AbstractMemberConstraint

extends AbstractSetConstraint

A set constraint that is specific to members of the set.

Provisional API - subject to change

Constructor Summary
`AbstractMemberConstraint()`

Method Summary

`Diagnostic`

`isSatisfied(AxiomaticSet set)`
The following post-conditions must hold: 1) if the set satisfies the constraint with no caveats, the returned diagnostic must in turn satisfy Diagnostic.getSeverity() == Diagnostic.OK 2) if the set does not satisfy the constraint, the returned diagnostic must satisfy Diagnostic.getSeverity() == Diagnostic.ERROR 3) if the set strictly satisfies the constraint but the constraint includes parameters that can only be heuristically applied, the constraint may choose to return a diagnostic where Diagnostic.getSeverity() == Diagnostic.WARNING The diagnostic returned should _never_ have any other severity but OK, ERROR or WARNING Algorithmically: Constraint is satisfied can be tested by Diagnostic.getSeverity() !

Methods inherited from class org.eclipse.jst.jsf.common.sets.constraint.AbstractSetConstraint
`failsConstraint, passesConstraint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMemberConstraint

    public AbstractMemberConstraint()

Method Detail

### isSatisfied

    public Diagnostic isSatisfied(AxiomaticSet set)

  Description copied from class: `AbstractSetConstraint`
  The following post-conditions must hold: 1) if the set satisfies the constraint with no caveats, the returned diagnostic must in turn satisfy Diagnostic.getSeverity() == Diagnostic.OK 2) if the set does not satisfy the constraint, the returned diagnostic must satisfy Diagnostic.getSeverity() == Diagnostic.ERROR 3) if the set strictly satisfies the constraint but the constraint includes parameters that can only be heuristically applied, the constraint may choose to return a diagnostic where Diagnostic.getSeverity() == Diagnostic.WARNING The diagnostic returned should _never_ have any other severity but OK, ERROR or WARNING Algorithmically: Constraint is satisfied can be tested by Diagnostic.getSeverity() != ERROR Constraint is not satisfied can be tested by Diagnostic.getSeverity() == ERROR

  Specified by:
    `isSatisfied` in class `AbstractSetConstraint`
  Returns:
    a diagnostic object that contains information about whether or not the constraint is satisfied for set. MUST NOT RETURN NULL